Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Join us on July 28 for a live webinar, Building a Company Brain: How AI-First Teams Share Trusted Context at Scale. Register now!
ID
DELETE
/files/:file_id/trash
curl -i -X DELETE "https://api.box.com/2.0/files/12345/trash" \ -H "authorization: Bearer <ACCESS_TOKEN>"
await client.trashedFiles.deleteTrashedFileById(file.id);
client.trashed_files.delete_trashed_file_by_id(file.id)
await client.TrashedFiles.DeleteTrashedFileByIdAsync(fileId: file.Id);
try await client.trashedFiles.deleteTrashedFileById(fileId: file.id)
client.getTrashedFiles().deleteTrashedFileById(file.getId())
String fileID = "87398"; BoxTrash trash = new BoxTrash(api); trash.deleteFile(fileID);
file_to_delete = client.file(file_id='11111') client.trash().permanently_delete_item(file_to_delete) print('The file was deleted from trash!')
await client.FilesManager.PurgeTrashedAsync("11111");
client.files.deletePermanently('11111') .then(() => { // deletion succeeded — no value returned });
このページは役に立ちましたか?